=== debian/changelog ===
centreon-engine (18.10.0-4) unstable; urgency=medium

  * Remove leftover /var/log/centreon-engine upong purge'ing (Closes: #920830)

 -- Sebastien Delafond <seb@debian.org>  Wed, 30 Jan 2019 08:47:41 +0100

centreon-engine (18.10.0-3) unstable; urgency=medium

  * Update d/copyright

 -- Sebastien Delafond <seb@debian.org>  Fri, 28 Dec 2018 10:30:08 +0100

centreon-engine (18.10.0-2) unstable; urgency=medium

  * Add /var/log/centreon-engine

 -- Sebastien Delafond <seb@debian.org>  Wed, 19 Dec 2018 09:26:21 +0100

centreon-engine (18.10.0-1) unstable; urgency=medium

  * Initial release (Closes: #913901)

 -- Sebastien Delafond <seb@debian.org>  Mon, 12 Nov 2018 15:56:47 +0100
