=== debian/control ===
Source: centreon-engine
Section: net
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 11), cmake, libcentreon-clib
Standards-Version: 4.2.1
Homepage: https://github.com/centreon/centreon-engine
Vcs-Browser: https://salsa.debian.org/centreon-team/centreon-engine
Vcs-Git: https://salsa.debian.org/centreon-team/centreon-engine.git

Package: centreon-engine
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcentreon-clib, adduser
Description: Network, system, applicative supervision and monitoring - engine
 Centreon is a modular and flexible platform for network, system and
 applicative supervision and monitoring.
 .
  * monitoring of network services
  * monitoring of host resources
  * simple plugin design that allows users to easily develop their own
    service checks
  * parallelized service checks
  * ability to define network hierarchies
  * contact notifications when service or host problems occur and get
    resolved (via email, page, or user-defined method)
  * ability to define event handlers to be run during service or host
    events for proactive problem resolution
  * automatic log file rotation
  * support for implementing redundant monitoring hosts
 .
 This package contains the engine.
